Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader
Interface Image

All Known Implementing Classes:
  AbstractImage, ImageBuffered, ImageGraphics2D, ImageRawCCITTFax, ImageRawEPS, ImageRawJPEG, ImageRawPNG, ImageRawStream, ImageRendered, ImageXMLDOM

    public interface Image

Represents an instance of an image (bitmap or vector graphic). The image may or may not be loaded into memory. Implementing classes will expose additional methods to access the actual image data.

Method Summary
`java.awt.color.ColorSpace` | `getColorSpace()` Returns the image's color space if the information is available.
`ImageFlavor` | `getFlavor()` Returns the flavor of the image.
`java.awt.color.ICC_Profile` | `getICCProfile()` Returns the ICC color profile if one is associated with the image.
`ImageInfo` | `getInfo()` Returns an object with basic information (URI, MIME type, intrinsic size) about the image.
`ImageSize` | `getSize()` Returns the image's intrinsic size.
`boolean` | `isCacheable()` Indicates whether the Image instance is cacheable in memory.

Method Detail

### getInfo

    ImageInfo getInfo()

  Returns an object with basic information (URI, MIME type, intrinsic size) about the image.

  Returns:
    the image information object

### getSize

    ImageSize getSize()

  Returns the image's intrinsic size. This is a shortcut for getInfo().getSize().

  Returns:
    the image's intrinsic size

### getFlavor

    ImageFlavor getFlavor()

  Returns the flavor of the image.

  Returns:
    the image flavor

### isCacheable

    boolean isCacheable()

  Indicates whether the Image instance is cacheable in memory.

  Returns:
    true if the Image is cacheable

### getICCProfile

    java.awt.color.ICC_Profile getICCProfile()

  Returns the ICC color profile if one is associated with the image.

  Returns:
    the ICC color profile or null if there's no profile

### getColorSpace

    java.awt.color.ColorSpace getColorSpace()

  Returns the image's color space if the information is available.

  Returns:
    the color space or null if the color space is unknown or undefined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.